Subject: Collecting butterflies

From: [email-masked] (L rose 42)
Date: 13 May 1996 04:09:34 -0400

Are there any commercial breeders out there raising butterflies for
collectors?  As part of a home schooling project I am looking for sources
of various species of live caterpillars and also mounted butterfly, moth
and beetle specimens.  We have had success raising Anise Swallowtails and
Painted Ladies and we are hoping to expand our studies.  Thank you in
advance for your assistance 
Lori Clayson
L rose [email-masked]